package com.loafle.overflow.central.module.infra.service;

import com.loafle.overflow.central.module.infra.dao.InfraHostDAO;
import com.loafle.overflow.central.module.infra.model.InfraHost;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * Created by insanity on 17. 6. 28.
 */

@Service("InfraHostService")
public class InfraHostService {

    @Autowired
    InfraHostDAO infraHostDAO;

    public InfraHost regist(InfraHost infraHost) {
        return this.infraHostDAO.save(infraHost);
    }

    public InfraHost read(long id) {
        return this.infraHostDAO.findOne(id);
    }

    public InfraHost readByIp(long ip) {
        return this.infraHostDAO.findByIp(ip);
    }
}
